Gecode::Float::Arithmetic::Min< A, B, C > Class Template Reference
Other available functionality » Float propagators

Propagator for bounds consistent min operator More...

`#include <arithmetic.hh>`

## Public Member Functions

| Min (Space &home, Propagator &p, A x0, B x1, C x2)
| Constructor for rewriting p during cloning.
virtual Actor * | copy (Space &home)
| Create copy during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::MixTernaryPropagator< A, PC_FLOAT_BND, B, PC_FLOAT_BND, C, PC_FLOAT_BND >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low ternary).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, A x0, B x1, C x2)
| Post propagator for .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| Min (Space &home, Min &p)
| Constructor for cloning p.
| Min (Home home, A x0, B x1, C x2)
| Constructor for creation.
Protected Member Functions inherited from Gecode::MixTernaryPropagator< A, PC_FLOAT_BND, B, PC_FLOAT_BND, C, PC_FLOAT_BND >
| MixTernaryPropagator (Space &home, MixTernaryPropagator &p)
| Constructor for cloning.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::MixTernaryPropagator< A, PC_FLOAT_BND, B, PC_FLOAT_BND, C, PC_FLOAT_BND >
A | x0
| View of type View0.
B | x1
| View of type View1.
C | x2
| View of type View2.

## Detailed Description

template<class A, class B, class C>
class Gecode::Float::Arithmetic::Min< A, B, C >

Propagator for bounds consistent min operator

The types A, B and C give the types of the views.

Requires

#include <gecode/float/arithmetic.hh>
arithmetic.hh

Definition at line 327 of file arithmetic.hh.

## Constructor & Destructor Documentation

## Min() [1/3]

template<class A, class B, class C>

Gecode::Float::Arithmetic::Min< A, B, C >::Min | ( | Space & | home,
|  | Min< A, B, C > & | p )

inline protected

Constructor for cloning p.

Definition at line 51 of file min-max.hpp.

## Min() [2/3]

template<class A, class B, class C>

Gecode::Float::Arithmetic::Min< A, B, C >::Min | ( | Home | home,
|  | A | x0,
|  | B | x1,
|  | C | x2 )

inline protected

Constructor for creation.

Definition at line 46 of file min-max.hpp.

## Min() [3/3]

template<class A, class B, class C>

Gecode::Float::Arithmetic::Min< A, B, C >::Min | ( | Space & | home,
|  | Propagator & | p,
|  | A | x0,
|  | B | x1,
|  | C | x2 )

inline

Constructor for rewriting p during cloning.

Definition at line 56 of file min-max.hpp.

## Member Function Documentation

## copy()

template<class A, class B, class C>

Actor * Gecode::Float::Arithmetic::Min< A, B, C >::copy | ( | Space & | home | ) |

virtual

Create copy during cloning.

Implements Gecode::Actor.

Definition at line 62 of file min-max.hpp.

## propagate()

template<class A, class B, class C>

ExecStatus Gecode::Float::Arithmetic::Min< A, B, C >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 78 of file min-max.hpp.

## post()

template<class A, class B, class C>

ExecStatus Gecode::Float::Arithmetic::Min< A, B, C >::post | ( | Home | home,
|  | A | x0,
|  | B | x1,
|  | C | x2 )

static

Post propagator for .

Definition at line 68 of file min-max.hpp.

The documentation for this class was generated from the following files:

- gecode/float/arithmetic.hh
- gecode/float/arithmetic/min-max.hpp